PDA

View Full Version : Please help with Borland 5.5.1...



ArniZ
02-28-2003, 11:35 PM
When I'm compiling my OGL programm that uses GLUT, I keep getting error:
Borland C++ 5.5.1 for Win32 Copyright (c) 1993, 2000 Borland
TST.CPP:
Error E2337 c:\Borland\Bcc55\include\GL\glut.h 146: Only one of a set of overloaded functions can be "C"
*** 1 errors in Compile ***
Any ideas, how to fix?

dheitbri
03-01-2003, 08:47 AM
I am not familiar with this error, but with past experiance with GLUT and Borland C++ its mostly linking errors from using the wrong .lib file. You can not use a .lib file compilied for VC++ how ever there is a implib.exe and a coff2omf.exe to help you get what ever .lib you want. I don't think I have realy answered your problem, but go to www.borland.com (http://www.borland.com) they have alot of newsgroups and you should probully post to one of those with you question. Also make sure you set the compile options to Borland extensions, if it is set to ansi you will never be able to compile an OpenGL program.